Bug 5311 - Language dropdown in advanced search broken?
Summary: Language dropdown in advanced search broken?
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov (do not use)
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-17 23:47 UTC by Jared Camins-Esakov (do not use)
Modified: 2010-11-30 15:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (5.36 KB, patch)
2010-10-23 18:59 UTC, Jared Camins-Esakov (do not use)
Details | Diff | Splinter Review
Revised proposed patch (7.10 KB, patch)
2010-10-30 03:12 UTC, Jared Camins-Esakov (do not use)
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov (do not use) 2010-10-17 23:47:13 UTC
It looks to me that the language dropdown in the advanced search for both the OPAC and Staff Client has a number of language codes either wrong or missing. For example, Armenian, Finnish, and Lao.
Comment 1 Jared Camins-Esakov (do not use) 2010-10-18 00:13:39 UTC
This seems to be the result of missing entries in the language_rfc4646_to_iso639 table, which is populated by subtag_registry.sql.
Comment 2 Jared Camins-Esakov (do not use) 2010-10-23 18:59:18 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov (do not use) 2010-10-30 03:12:14 UTC
Created attachment 2715 [details] [review]
Revised proposed patch
Comment 4 Chris Cormack 2010-11-04 07:55:11 UTC
Patches pushed, please test and close
Comment 5 Chris Nighswonger 2010-11-18 03:15:15 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 6 Chris Nighswonger 2010-11-30 15:54:50 UTC
A fix for this bug has been committed to the current development HEAD as well as released in 3.2.1.